% ----------------------------------------------
% Defines the screen and all controls, menus and
% text strings which appear on it.
% ----------------------------------------------
% ----------------------------------------------

% --------------------------------
% Opens window "Duffing Oscillator"
% --------------------------------
p=get(0,'ScreenSize');
POS=[p(1)+0.05*p(3) p(2)+0.05*p(4) 0.9*p(3) 0.9*p(4)];
D_screen=figure('MenuBar','none','NumberTitle','off','Name', ...
         'Duffing Oscillator','position',POS,'units','normalized', ...
         'resize','on','color','w');
   
% -------------------------
% box for parameter choices
% -------------------------
p_frame=uicontrol(D_screen,'style','frame','backgroundcolor','k', ...
        'units','normalized','pos',[0.02 0.69 0.15 0.288]);
p_text1=uicontrol(D_screen,'style','text','units','normalized', ...
        'pos',[0.03 0.9 0.13 0.05],'backgroundcolor','k','fonts',15, ...
	     'foregroundcolor','w','string','PARAMETER');	
p_text2=uicontrol(D_screen,'style','text','units','normalized', ...
        'pos',[0.03 0.86 0.13 0.05],'backgroundcolor','k','fonts',15, ...
	     'foregroundcolor','w','string','CHOICE');	
p_text3=uicontrol(D_screen,'style','text','units','normalized', ...
        'pos',[0.03 0.81 0.04 0.04],'foregroundcolor','w','fonts',15, ...
        'backgroundcolor','k','string','k:');
p_text4=uicontrol(D_screen,'style','text','units','normalized', ...
        'pos',[0.03 0.74 0.04 0.04],'foregroundcolor','w','fonts',15, ...
        'backgroundcolor','k','string','A:');

get_k=uicontrol(D_screen,'style','edit','units','normalized', ...
      'pos',[0.07 0.81 0.07 0.05],'backgroundcolor','w','fonts',15, ...
      'callback','k=str2num(get(get_k,''string''));check_k');
get_A=uicontrol(D_screen,'style','edit','units','normalized', ...
      'pos',[0.07 0.74 0.07 0.05],'backgroundcolor','w','fonts',15, ...
      'callback','A=str2num(get(get_A,''string''));check_A');
   
% -------------------------------------------------------
% buttons for choice of what to display during simulation
% -------------------------------------------------------
ch_frame=uicontrol(D_screen,'style','frame','units','normalized', ...
         'pos',[0.02 0.34 0.15 0.33],'backgroundc','w');
ch_text=uicontrol(D_screen,'style','text','units','normalized', ...
        'pos',[0.03 0.59 0.13 0.05],'backgroundc','w','string','DISPLAY','fonts',15);
ch1_b=uicontrol(D_screen,'style','radiobutton','units','normalized', ...
      'pos',[0.025 0.54 0.12 0.05],'string','evolution','fonts',12, ...
	  'callback',[ ...
	    'show=1;,' ...
		'set(diff_mi,''enable'',''off''),' ...
		'set([c_text3 c_text4 get_dx0 get_dxp0],''vis'',''off''),' ...
	    'set(ch1_b,''value'',1),' ...
	    'set(ch2_b,''value'',0),' ...
	    'set(ch3_b,''value'',0),' ...
	    'set(ch4_b,''value'',0),'], ...
	  'backgroundcolor','w','value',1);   
ch2_b=uicontrol(D_screen,'style','radiobutton','units','normalized', ...
      'pos',[0.025 0.48 0.12 0.05],'string','phase space','fonts',12, ...
	  'callback',[ ...
	    'show=2;,' ...
		'set(diff_mi,''enable'',''off''),' ...
		'set([c_text3 c_text4 get_dx0 get_dxp0],''vis'',''off''),' ...
	    'set(ch1_b,''value'',0),' ...
	    'set(ch2_b,''value'',1),' ...
	    'set(ch3_b,''value'',0),' ...
	    'set(ch4_b,''value'',0),'], ...
	  'backgroundcolor','w');   
ch3_b=uicontrol(D_screen,'style','radiobutton','units','normalized', ...
      'pos',[0.025 0.42 0.12 0.05],'string','Poincar','fonts',12, ...
	  'callback',[ ...
	    'show=3;,' ...
		'set(diff_mi,''enable'',''off''),' ...
		'set([c_text3 c_text4 get_dx0 get_dxp0],''vis'',''off''),' ...
	    'set(ch1_b,''value'',0),' ...
	    'set(ch2_b,''value'',0),' ...
	    'set(ch3_b,''value'',1),' ...
	    'set(ch4_b,''value'',0),'], ...
	  'backgroundcolor','w');
ch4_b=uicontrol(D_screen,'style','radiobutton','units','normalized', ...
      'pos',[0.025 0.36 0.12 0.05],'string','SIC','fonts',12, ...
	  'callback',[ ...
	    'show=4;,' ...
		'set(diff_mi,''enable'',''on''),' ...
	    'set(ch1_b,''value'',0),' ...
	    'set(ch2_b,''value'',0),' ...
	    'set(ch3_b,''value'',0),' ...
	    'set(ch4_b,''value'',1),'], ...
	  'backgroundcolor','w');   
	
% ---------------------------------------------
% push buttons which start and stop simulations
% ---------------------------------------------
start_b=uicontrol(D_screen,'style','pushbutton','units','normalized', ...
        'pos',[0.02 0.24 0.07 0.08],'backgroundcolor','g','foregroundcolor','k', ...
		'string','START','callback','start','interruptible','on','fonts',15);
stop_b=uicontrol(D_screen,'style','pushbutton','units','normalized', ...
        'pos',[0.1 0.24 0.07 0.08],'backgroundcolor','r','foregroundcolor','k', ...
		'string','STOP','callback','stop','fonts',15);
set(stop_b,'enable','off');

% ------------------------------------------------
% menu which allows the user to change the initial
% conditions from their default values
% ------------------------------------------------
change_m=uimenu(D_screen,'label','change initial conditions');
state_mi=uimenu(change_m,'label','position in (x,x'')-space', ...
         'callback','set([c_text1 get_x0 c_text2 get_xp0],''vis'',''on'')');
diff_mi=uimenu(change_m,'label','difference in (x,x'')-space (for SIC only)', ...
        'callback','set([c_text3 get_dx0 c_text4 get_dxp0],''vis'',''on'')', ...
		'enable','off');

% --------------------------------------------------------
% objects with which to choose ones own initial conditions
% --------------------------------------------------------
c_text1=uicontrol(D_screen,'style','text','units','norm','pos',[0.02 0.15 0.08 0.05], ...
        'backgroundc','w','string','new x(0):','fonts',9, ...
        'horiz','left','vis','off');
get_x0=uicontrol(D_screen,'style','edit','units','norm','pos',[0.1 0.17 0.07 0.04], ...
       'backgroundc',[1 1 1],'vis','off','fonts',12, ...
       'callback','x0=str2num(get(get_x0,''string''));check_i');
c_text2=uicontrol(D_screen,'style','text','units','norm','pos',[0.02 0.1 0.08 0.05], ...
        'backgroundc','w','string','new x''(0):','fonts',9, ...
        'horiz','left','vis','off');
get_xp0=uicontrol(D_screen,'style','edit','units','norm','pos',[0.1 0.12 0.07 0.04], ...
        'backgroundc',[1 1 1],'vis','off','fonts',12, ...
	     'callback','xp0=str2num(get(get_xp0,''string''));check_i');
c_text3=uicontrol(D_screen,'style','text','units','norm','pos',[0.02 0.05 0.08 0.05], ...
        'string','new dx(0):','backgroundc','w','fonts',9, ...
        'horiz','left','vis','off');
get_dx0=uicontrol(D_screen,'style','edit','units','norm','pos',[0.1 0.07 0.07 0.04], ...
        'backgroundc',[1 1 1],'vis','off','fonts',12, ...
	     'callback','dx0=str2num(get(get_dx0,''string''));check_i');
c_text4=uicontrol(D_screen,'style','text','units','norm','pos',[0.02 0 0.08 0.05], ...
         'string','new dx''(0):','backgroundc','w','fonts',9, ...
         'horiz','left','vis','off');
get_dxp0=uicontrol(D_screen,'style','edit','units','norm','pos',[0.1 0.02 0.07 0.04], ...
         'backgroundc',[1 1 1],'vis','off','fonts',12, ...
	 'callback','dxp0=str2num(get(get_dxp0,''string''));check_i');

% --------------------------------------
% text strings which display the initial
% conditions used in a simulation
% --------------------------------------
IniFrame=uicontrol(D_screen,'style','frame','units','normalized', ...
         'pos',[0.02 0.02 0.15 0.2],'backgroundc','w','vis','off');
x0text=uicontrol(D_screen,'style','text','units','norm', ...
       'pos',[0.03 0.15 0.07 0.04],'string','x(0)=','backgroundc','w','fonts',15, ...
       'horiz','right','vis','off');
x0show=uicontrol(D_screen,'style','text','units','norm', ...
       'pos',[0.1 0.15 0.069 0.04],'string',num2str(x0),'backgroundc','w','fonts',15, ...
       'horiz','left','vis','off');
xp0text=uicontrol(D_screen,'style','text','units','norm', ...
        'pos',[0.03 0.11 0.07 0.04],'string','x''(0)=','backgroundc','w','fonts',15, ...
        'horiz','right','vis','off');
xp0show=uicontrol(D_screen,'style','text','units','norm', ...
        'pos',[0.1 0.11 0.069 0.04],'string',num2str(xp0),'backgroundc','w','fonts',15, ...
        'horiz','left','vis','off');
dx0text=uicontrol(D_screen,'style','text','units','norm', ...
        'pos',[0.03 0.07 0.07 0.04],'string','dx(0)=','backgroundc','w','fonts',15, ...
        'horiz','right','vis','off');
dx0show=uicontrol(D_screen,'style','text','units','norm', ...
        'pos',[0.1 0.07 0.069 0.04],'string',num2str(dx0),'backgroundc','w','fonts',15, ...
        'horiz','left','vis','off');
dxp0text=uicontrol(D_screen,'style','text','units','norm', ...
         'pos',[0.03 0.03 0.07 0.04],'string','dx''(0)=','backgroundc','w','fonts',15, ...
         'horiz','right','vis','off');
dxp0show=uicontrol(D_screen,'style','text','units','norm', ...
         'pos',[0.1 0.03 0.069 0.04],'string',num2str(dxp0),'backgroundc','w','fonts',15, ...
         'horiz','left','vis','off');		 

% -----------------------------------------------------------
% menu item which opens a help window for the Duffing program
% -----------------------------------------------------------
help_m=uimenu(D_screen,'label','help');
help_mi=uimenu(help_m,'label','how to use the Duffing program', ...
               'callback','gethelp');

% ------------------------------------------------------
% menu with a single item which ends the Duffing session
% ------------------------------------------------------
quit_m=uimenu(D_screen,'label','quit');
quit_mi=uimenu(quit_m,'label','quit','callback','finish');

% -------------
% drawing areas
% -------------
draw=axes('pos',[0.24 0.14 0.74 0.84],'drawmode','fast','ticklength',[0 0], ...
          'xcolor','w','ycolor','w','clipping','on','color','k','vis','off');

draw1=axes('pos',[0.22 0.72 0.76 0.26],'box','on','color','w','vis','off', ...
           'xcolor','w','ycolor','w');
draw2=axes('pos',[0.22 0.42 0.76 0.26],'box','on','color','w','vis','off', ...
           'xcolor','w','ycolor','w');
draw3=axes('pos',[0.22 0.12 0.76 0.26],'box','on','color','w','vis','off', ...
           'xcolor','w','ycolor','w');
axes(draw1);axis([0 20*pi -4 4]);
axes(draw2);axis([20*pi 40*pi -4 4]);
axes(draw3);axis([40*pi 60*pi -4 4]);

draw4=axes('pos',[0.25 0.57 0.73 0.41],'box','on','color','w','vis','off', ...
           'xcolor','w','ycolor','w');
draw5=axes('pos',[0.25 0.02 0.73 0.41],'box','on','color','w','vis','off', ...
           'xcolor','k','ycolor','k');
set(draw5,'xtick',[2*pi 4*pi 6*pi 8*pi 10*pi 12*pi 14*pi 16*pi 18*pi]);
set(draw5,'xticklabel','','xgrid','on','ygrid','on');

axes(draw4);axis([0 20*pi -4 4]);
axes(draw5);axis([0 20*pi -10 2]);
	   
% ------------------------------------------------
% push buttons which control an ongoing simulation
% ------------------------------------------------
cdisp_b=uicontrol(D_screen,'style','pushbutton','units','norm','pos',[0.54 0.02 0.14 0.07], ...
        'backgroundcolor','w','string','change display','fonts',15, ...
        'callback','ch_disp','visible','off');

pause_b=uicontrol(D_screen,'style','pushbutton','units','norm','pos',[0.31 0.02 0.07 0.07], ...
        'backgroundcolor','w','fonts',15, ...
	     'string','pause','callback','paus','visible','off', ...
	     'interruptible','on');

clear_b=uicontrol(D_screen,'style','pushbutton','units','norm','pos',[0.39 0.02 0.14 0.07], ...
        'backgroundcolor','w','fonts',15, ...
	     'string','clear history','callback','clear_h','visible','off');

zoom_b=uicontrol(D_screen,'style','pushbutton','units','norm','pos',[0.69 0.02 0.08 0.07], ...
       'backgroundcolor','w','fonts',15,'string','zoom', ...
	    'callback','zoom','visible','off');

conf_b=uicontrol(D_screen,'style','pushbutton','units','norm','pos',[0.69 0.02 0.08 0.07], ...
       'backgroundcolor','w','string','confirm','fonts',15, ...
	    'callback','confirm','visible','off');

contin_b=uicontrol(D_screen,'style','pushbutton','units','norm','pos',[0.69 0.02 0.1 0.07], ...
         'backgroundcolor','w','string','continue','fonts',15, ...
		   'callback','continu','visible','off','interruptible','on');
		 
reappr_b=uicontrol(D_screen,'style','pushbutton','units','norm','pos',[0.38 0.45 0.18 0.07], ...
         'backgroundcolor','w','string','initial d again','fonts',15, ...
		   'callback','reappr','visible','off');
		 
% ------------------------------------------------------
% objects with which to zoom a plot 
% (to use in the phase space- or Poincar- display mode)
% ------------------------------------------------------
z_frame=uicontrol(D_screen,'style','frame','units','norm', ...
        'pos',[0.77 0.02 0.16 0.22],'backgroundc','w','vis','off');
z_text1=uicontrol(D_screen,'style','text','units','normalized', ...
        'pos',[0.78 0.18 0.1 0.04],'string','new x-min:','backgroundcolor','w', ...
        'horiz','left','visible','off','fonts',10);
z_text2=uicontrol(D_screen,'style','text','units','normalized', ...
        'pos',[0.78 0.13 0.1 0.04],'string','new x-max:','backgroundcolor','w','fonts',12, ...
        'horiz','left','visible','off','fonts',10);
z_text3=uicontrol(D_screen,'style','text','units','normalized', ...
        'pos',[0.78 0.08 0.1 0.04],'string','new x''-min:','backgroundcolor','w','fonts',12, ...
        'horiz','left','visible','off','fonts',10);	   
z_text4=uicontrol(D_screen,'style','text','units','normalized', ...
        'pos',[0.78 0.03 0.1 0.04],'string','new x''-max:','backgroundcolor','w','fonts',12, ...
        'horiz','left','visible','off','fonts',10);

get_xmin=uicontrol('style','edit','units','norm','pos',[0.87 0.19 0.05 0.04],'fonts',12, ...
         'backgroundc',0.8*[1 1 1],'vis','off','callback', ...
		 'xmin=str2num(get(get_xmin,''string''));','vis','off');
get_xmax=uicontrol('style','edit','units','norm','pos',[0.87 0.14 0.05 0.04],'fonts',12, ...
         'backgroundc',0.8*[1 1 1],'vis','off','callback', ...
		 'xmax=str2num(get(get_xmax,''string''));','vis','off');
get_ymin=uicontrol('style','edit','units','norm','pos',[0.87 0.09 0.05 0.04],'fonts',12, ...
         'backgroundc',0.8*[1 1 1],'vis','off','callback', ...
		 'ymin=str2num(get(get_ymin,''string''));','vis','off');
get_ymax=uicontrol('style','edit','units','norm','pos',[0.87 0.04 0.05 0.04],'fonts',12, ...
         'backgroundc',0.8*[1 1 1],'vis','off','callback', ...
		 'ymax=str2num(get(get_ymax,''string''));','vis','off');
			 
% ----------------------
% axis labels and limits
% ----------------------
x_mark=uicontrol(D_screen,'style','text','units','norm','pos',[0.18 0.82 0.03 0.05],'fonts',15,...
       'string','x','backgroundc','w','vis','off','horiz','right');
t_mark=uicontrol(D_screen,'style','text','units','norm','pos',[0.58 0.67 0.2 0.05],'fonts',15, ...
       'string','time (seconds/2pi)','backgroundc','w','vis','off','horiz','center');
xmin_m=uicontrol(D_screen,'style','text','units','norm','pos',[0.18 0.69 0.03 0.05],'fonts',15, ...
       'string','-4','backgroundc','w','vis','off','horiz','right');
xmax_m=uicontrol(D_screen,'style','text','units','norm','pos',[0.18 0.93 0.03 0.05],'fonts',15, ...
       'string','4','backgroundc','w','vis','off','horiz','right');
tmin_m=uicontrol(D_screen,'style','text','units','norm','pos',[0.22 0.67 0.1 0.05],'fonts',15, ...
       'string','0','backgroundc','w','horiz','left','vis','off');
tint_m=uicontrol(D_screen,'style','text','units','norm','pos',[0.88 0.67 0.1 0.05],'fonts',15, ...
       'string','10','backgroundc','w','horiz','right','vis','off');
tmax_m=uicontrol(D_screen,'style','text','units','norm','pos',[0.88 0.07 0.1 0.05],'fonts',15, ...
       'string','30','backgroundc','w','horiz','right','vis','off');
	   
lnd_mark=uicontrol(D_screen,'style','text','units','norm','pos',[0.18 0.19 0.04 0.05],'fonts',15, ...
       'string','ln(d)','backgroundc','w','vis','off','horiz','right');
	   
x_label=uicontrol(D_screen,'style','text','units','norm','pos',[0.6 0.09 0.03 0.05],'fonts',15, ...
        'string','x','backgroundc','w','vis','off','horiz','center');
y_label=uicontrol(D_screen,'style','text','units','norm','pos',[0.2 0.54 0.04 0.05],'fonts',15, ...
        'string','x''','backgroundc','w','vis','off','horiz','right');
see_xmin=uicontrol(D_screen,'style','text','units','norm','pos',[0.24 0.09 0.1 0.05],'fonts',15, ...
         'string','[]','backgroundc','w','vis','off','horiz','left');
see_xmax=uicontrol(D_screen,'style','text','units','norm','pos',[0.93 0.09 0.05 0.05],'fonts',15, ...
         'string','[]','backgroundc','w','vis','off','horiz','right');
see_ymin=uicontrol(D_screen,'style','text','units','norm','pos',[0.17 0.12 0.07 0.04],'fonts',15, ...
         'string','[]','backgroundc','w','vis','off','horiz','right');
see_ymax=uicontrol(D_screen,'style','text','units','norm','pos',[0.17 0.93 0.07 0.05],'fonts',15, ...
         'string','[]','backgroundc','w','vis','off','horiz','right');

% --------------
% error messages
% --------------
message1=uicontrol(D_screen,'style','text','units','normalized','pos',[0.18 0.81 0.1 0.05], ...
         'fonts',12,'string','improper k!','backgroundcolor','w', ...
         'visible','off');
  
message2=uicontrol(D_screen,'style','text','units','normalized','pos',[0.18 0.74 0.1 0.05], ...
         'fonts',12,'string','improper A!','backgroundcolor','w', ...
         'visible','off');

message3=uicontrol(D_screen,'style','text','units','normalized','pos',[0.1 0.22 0.15 0.1], ...
         'fonts',12,'string','define parameters first!', ...
         'backgroundcolor','w','visible','off'); 
