% --------------------------------------------
% Sets the axis limits according to the values
% specified by the user. If improper limits
% are entered, the default values are used.
% --------------------------------------------
% --------------------------------------------

if show==2
  xmin_def=-4;xmax_def=4;ymin_def=-6;ymax_def=6;
end
if show==3
  xmin_def=-3;xmax_def=3;ymin_def=-3;ymax_def=3;
end  

if length(xmin)==0 | length(xmax)==0 | length(ymin)==0 | length(ymax)==0
  xmin=xmin_def;xmax=xmax_def;ymin=ymin_def;ymax=ymax_def;
  set([get_xmin get_xmax get_ymin get_ymax],'string','');
end
if length(xmin)>1 | length(xmax)>1 | length(ymin)>1 | length(ymax)>1
  xmin=xmin_def;xmax=xmax_def;ymin=ymin_def;ymax=ymax_def;
  set([get_xmin get_xmax get_ymin get_ymax],'string','');
end
if xmin>=xmax | ymin>=ymax
  xmin=xmin_def;xmax=xmax_def;ymin=ymin_def;ymax=ymax_def;
  set([get_xmin get_xmax get_ymin get_ymax],'string','');
end

axis([xmin xmax ymin ymax]);
	
set([z_frame z_text1 z_text2 z_text3 z_text4],'visible','off');
set([get_xmin get_xmax get_ymin get_ymax],'visible','off');
	
set(conf_b,'vis','off');
set(zoom_b,'vis','on');
	
set(see_xmin,'string',num2str(xmin));
set(see_xmax,'string',num2str(xmax));
set(see_ymin,'string',num2str(ymin));
set(see_ymax,'string',num2str(ymax));
	
set(pause_b,'enable','on')
