help1= ...
    ['                                                         '
     '  With this program you simulate the Duffing oscillator  '
     '                                                         '
     'dx+kx+x^3=Asin(t).                                    '
     '                                                         '
     '  With the controls in the column at the left side of the' 
     'window, and with the first menu, you set the conditions  '
     'for a simulation.                                        '
     '  With the buttons which appear when the start button is '
     'pressed, you control the ongoing simulation.             '
     '                                                         '
     '                                                         '
     'CONTROLS IN COLUMN                                       '
     '---------------------------------------------------------'
     '                                                         '
     'Parameter boxes                                          '
     '---------------                                          '
     '  You enter the desired values of the parameters k and A '
     'in the white text boxes. The allowed ranges are 0<=k<=2  '
     'and 0<=A<=20.                                            '
     '                                                         '
     'Display frame                                            '
     '-------------                                            '
     'Your choice determines how the simulation is presented.  '
     '                                                         '
     '*In the evolution-mode, x is plotted against t for 30    '
     'cycles of the driving force. (May be continued.)         '
     '                                                         '
     '*In the phase space-mode, you see the orbit in           '
     ' (x,x)-space. The yellow tail has a length of half the  '
     ' driving force period.                                   '
     '                                                         '
     '*In the Poincar-mode, the position in (x,x)-space is   '
     ' marked whenever t=n*2pi, where n is an integer.         '
     '                                                         '
     '*In the SIC-mode, x is plotted against t for two orbits  '
     ' which have almost identical initial values of x and x. '
     ' The default initial differences are dx=0 and            '
     ' dx=0.0001. These can be changed with the menu "change  '
     ' initial conditions" (see below).                        '
     ' Below the two traces is shown the natural logarithm of  '
     ' the distance between the orbits in (x,x)-space as a    '
     ' function of t.                                          '
     ' Ten cycles are shown at a time (may be continued).      '];
help2= ...
    ['                                                         '
     'Start- and Stop buttons                                  '
     '-----------------------                                  '
     '  If you have not entered your own initial conditions by '
     'selecting the "change initial conditions"-menu just      '
     'before the start button is pressed, the default values   '
     'are used automatically. These are                        '
     'x(0)=0                                                   '
     'x(0)=0                                                  '
     'dx(0)=0                                                  '
     'dx(0)=0.0001                                            '
     '  The stop button interrupts the simulation and gives    '
     'acess to the controls in the column and to the menus.    '
     '                                                         '
     '                                                         '
     'MENUS                                                    '
     '---------------------------------------------------------'
     '                                                         '
     'Change initial conditions                                '
     '-------------------------                                '
     '  When the menu item "state in (x,x)-space" is          '
     'selected, two text boxes appear in which you may enter   '
     'new values. The allowed ranges are -10<=x,x<=10.        '
     'If no values are entered, default values are used.       '
     '  When the menu item "difference in (x,x)-space" is     '
     'selected, two new text boxes appear. The allowed ranges  '
     'for dx and dx are the same as for x and x. This item is'
     'only accessible if the SIC display mode is selected.     '
     '  When you are satisfied with your choices, press the    '
     'start button. Values may be entered in exponential form  '
     '(f.ex. 3e-5). Remember that MATLAB handles no more than  '
     '15 decimals.                                             '
     '                                                         '
     '                                                         '
     'BUTTONS WHICH CONTROL ONGOING SIMULATIONS                '
     '---------------------------------------------------------'
     '                                                         '
     'Pause                                                    '
     '-----                                                    '
     '  Momentarily stops the simulation and gives acess to    '
     'other buttons. Afterwards, the simulation may be         '
     'continued from the same state by a second press.         '
     '(Go to page 3.)                                          '];
help3= ...
    ['                                                         '
     '(pause continued) Note that you can alter the parameters '
     'when the pause button is pressed. It may be useful to do '
     'minute changes when searching for bifurcation points,    '
     'especially when they are close and convergence to the    '
     'attractor slow. If parameters are changed, the initial   '
     'conditions are erased from the screen, since these       '
     'determine the future of the system only for fixed        '
     'parameters.                                              '
     '                                                         '
     'Clear history                                            '
     '-------------                                            '
     '  Erases the drawing area, for example to get rid of     '
     'transients. Afterwards, the simulation may be continued. '
     '                                                         '
     'Zoom                                                     '
     '----                                                     '
     '  When pressed, four text boxes appear in which you may  '
     'enter new axis limits. When the button "confirm" is      '
     'pressed, these are confirmed, and the effect of the      '
     'change shown. Afterwards, the simulation may be          '
     'continued, or the limits further changed.                '
     '                                                         '
     'initial difference again                                 '
     '----------                                               '
     '  In the SIC-mode, when the 10 cycles are displayed, a   '
     'press on this button sets the red orbit again to be as   '
     'close to the black one as it was in the beginning of the '
     'simulation. With a press on the "continue"-button, the   '
     'effect is shown for the next 10 cycles.                  '
     '                                                         '
     'Change display                                           '
     '--------------                                           '
     '  When you press this button, you are free to choose a   '
     'new display mode for the ongoing simulation. The state of'
     'the system is not changed.                               '
     'If you start the simulation in SIC mode, the chosen      '
     'initial differences are used when you turn back.         '
     'Otherwise, default differences are used (see the start-  '
     'button description).                                     '];
     
